Subject: RE: admin dist/gp spec proposal

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Tue, 10 Sep 2002 10:59:58 -0400

Russ:

> Note: You cannot know, for certain, that you can have the same
> router id in all routing protocol processes. For instance, most
> implementations allow multiple processes of any given
> protocol. What if you have two bgp processes, and one ospf
> process--how would you share the router id's in this case? Or
> (more common) two ospf processes, and one bgp process? Which
> router id goes on which process?
> 
> Basically, the router id for BGP should be left as a standalone
> entity, and we shouldn't worry about it's interaction with other
> protocols, if at all possible.
> 
 
Could you give me an example where 2 BGP processes interact with 1 OSPF
process. Also an example where 2 OSPF processes interact with 1 BGP Process.

Frankly, I would want to pair up 1 BGP process with 1 OSPF process for
virtual routing sake, and another virtual routing instance of 1 BGP process
with 1 OSPF process. Thereby if each pair had a unique routable router-ID
that is shared between its OSPF and BGP component, it will not pose any
confusion. 

I agree, any other mix is a problem.

Ben

---

From: Russ White <[email-masked]>
Date: Tue, 10 Sep 2002 11:13:08 -0400 (EDT)

> Could you give me an example where 2 BGP processes interact
> with 1 OSPF process. Also an example where 2 OSPF processes
> interact with 1 BGP Process.

The second is more plausible. I won't say it's common, but it is
very possible on every implementation I know of. For instance,
I've seen networks with two OSPF processes terminating in a
single router, with redistribution, and a single BGP process on
top of both. It would be simple to set up:

!
router bgp 100
 <stuff here>
!
router ospf 100
 <stuff here>
!
router ospf 200
 <stuff here>

Another instance to consider is on a PE, where I would think this
could be very common. You're carrying multiple OSPF instances to
customers, and then a "real" igp instance for your internal
cloud, and then a single bgp instance. Does it matter if all
these instances share the same router id, or not? In practice,
they never have.

It appears that setting up a requirement that the router id's in
all routing processes, for this and other reasons (such as the
instance given of IS-IS with longer router id's), simply isn't
possible.

:-)

Russ

__________________________________
[email-masked] CCIE <>< Grace Alone

---

From: Russ White <[email-masked]>
Date: Tue, 10 Sep 2002 11:24:21 -0400 (EDT)

> all routing processes, for this and other reasons (such as the
                       ^
                      match

> instance given of IS-IS with longer router id's), simply isn't

This all comes back to a fundamental question of what the router
id really identifies.

:-)

Russ

---

From: Jeffrey Haas <[email-masked]>
Date: Tue, 10 Sep 2002 11:29:10 -0400

> This all comes back to a fundamental question of what the router

A protocol specific identifier. :-)

The fact that various proposals over the years have used it 
for synchronization between protocols is useful to know.
Knowing if its still useful (example pro and con) are interesting to see. 

-- 
Jeff Haas 
NextHop Technologies